<template>
    <!-- 弹出框表单 -->
    <el-drawer
            :title="title"
            :visible.sync="open"
            :direction="direction"
            :destroy-on-close="true"
            size="50%">
        <el-form ref="form" :model="form" :rules="rules" label-width="120px">
            <el-row>
                                            <Field label="设备id" prop="deviceId" v-model="form.deviceId" placeholder="请输入设备id"/>
                            <Field label="设备编码" prop="deviceCode" v-model="form.deviceCode" placeholder="请输入设备编码"/>
                            <Field label="设备名称" prop="deviceName" v-model="form.deviceName" placeholder="请输入设备名称"/>
                            <Field label="文件名称" prop="fileName" v-model="form.fileName" type="textarea" placeholder="请输入文件名称"/>
                            <Field label="文件相对路径地址"><fileUpload v-model="form.filePath"  prePath="/file/fileupload"/></Field>
                            <Field label="备注" prop="remark" v-model="form.remark" placeholder="请输入备注"/>

            </el-row>

            <form-buttons @submit='submitForm' v-if="pageInfo.type!='view'" noCancelBtn />
        </el-form>

    </el-drawer>
</template>

<script>
    import form from "@/assets/mixins/formdialog";
    export default {
        name: "DeviceFileDetail",
        mixins: [form],
        components: {

        },
        created() {
            this.changePath("device/file")
        },
        data() {
            return {
                // 遮罩层
                loading: true,
                // 弹出层标题
                title: "设备图片信息",
                // 是否显示弹出层
                open: false,
                direction:"rtl",
                toString:[
                ],
                toDate:[
                ],
                // 表单校验
                rules: {
                    deviceCode: [
                        {required: true,message: "请输入设备编码", trigger: "blur" },
                        {max: 64,message: "最多只能录入64个字符",trigger: "blur",},
                    ],
                    deviceName: [
                        {required: true,message: "请输入设备名称", trigger: "blur" },
                        {max: 64,message: "最多只能录入64个字符",trigger: "blur",},
                    ],
                    createTime: [
                        {required: true,message: "请选择创建时间" },
                    ],
                }
            };
        },

        methods: {
            /** 编辑 */
            edit(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="device/file/edit";
                this.getData();
                this.pageInfo.type="edit"
                this.title = "修改设备图片信息";
            },
            /** 新增 */
            add(row) {
                this.reset()
                this.urls.currUrl = "device/file/add";
                this.getData();
                this.pageInfo.type="add"
                this.title = "新增设备图片信息";
            },
            /** 查看*/
            view(row) {
                this.reset()
                this.query = { id: row.id };
                this.urls.currUrl ="device/file/view";
                this.getData();
                this.pageInfo.type="view"
                this.title = "设备图片信息详细";
            },
            /**取消按钮 */
            cancel() {
                this.open = false;
            },
            /**获取数据后弹框 */
            afterRender(data) {
                this.open = true;
            },

            afterSubmit(data) {
                this.open = false;
                this.$emit("ok");
            },

            // 表单重置
            reset() {
                this.form = {
                    deviceId : null,
                    deviceCode : "",
                    deviceName : "",
                    fileName : "",
                    filePath : "",
                    remark : "",
                };
                this.resetForm("form");
            },
            resetForm(refName) {
                if (this.$refs[refName]) {
                    this.$refs[refName].resetFields();
                }
            },
        },
    };
</script>
